[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sysutils' (#rtl)

# UnhookSignal

UnHook a specified signal

## Declaration

Source position: sysutils.pp line 81

`procedure UnhookSignal(`
`RtlSigNum: Integer;`
`OnlyIfHooked: Boolean = True`
`);`

## Description

UnHookSignal de-installs the RTL default signal handler for signal RtlSigNum. If OnlyIfHooked is True then UnhookSignal will first check if the signal was hooked by the RTL routines, and has not been overridden since.